Bug 526180 - Review Request: rubygem-mixlib-config - Simple ruby config mixin
Summary: Review Request: rubygem-mixlib-config - Simple ruby config mixin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-29 07:06 UTC by Matthew Kent
Modified: 2010-09-11 19:43 UTC (History)
3 users (show)

Fixed In Version: 1.0.12-2.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-19 17:48:20 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Matthew Kent 2009-09-29 07:06:54 UTC
Spec URL: http://magoazul.com/wip/SPECS/rubygem-mixlib-config.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-mixlib-config-1.0.9-1.fc12.src.rpm
Description: A class based config mixin, similar to the one found in Chef.

Looking for review and a sponsor for this or one of my earlier package submissions in #525988 or #525989. Thanks!

Comment 1 Mamoru TASAKA 2009-09-30 17:45:56 UTC
The latest package of rubygem-mixlib-config seems 1.0.12.
Please update first. Also please check my comments on
bug 526179.

Comment 2 Matthew Kent 2009-10-05 06:36:29 UTC
Spec URL: http://magoazul.com/wip/SPECS/rubygem-mixlib-config.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-mixlib-config-1.0.12-1.fc12.src.rpm

* Sun Oct 4 2009 Matthew Kent <mkent@magoazul.com> - 1.0.12-1
- Remove redundant path in doc package (#526180).
- Use global over define (#526180).
- New upstream version (#526180).

Comment 3 Mamoru TASAKA 2009-10-05 19:14:23 UTC
Some notes:

* Unneeded macros
  - Please remove unneeeded (unused) macros.

* SourceURL
  - Please specify full URL for Source0.

! Redundant Requires
  - "Requires: ruby(rubygems)" is redundant for -doc
    subpackage because main package already has it.

Comment 4 Matthew Kent 2009-10-06 05:48:49 UTC
Spec URL: http://magoazul.com/wip/SPECS/rubygem-mixlib-config.spec
SRPM URL:
http://magoazul.com/wip/SRPMS/rubygem-mixlib-config-1.0.12-2.fc12.src.rpm

* Mon Oct 5 2009 Matthew Kent <mkent@magoazul.com> - 1.0.12-2
- Missing complete source url (#526180).
- Remove unused ruby_sitelib macro (#526180).
- Remove redundant doc Requires on rubygems (#526180).

Comment 5 Mamoru TASAKA 2009-10-06 17:39:19 UTC
----------------------------------------------------------------
  This package (rubygem-mixlib-config) is APPROVED by mtasaka
----------------------------------------------------------------

Comment 6 Matthew Kent 2009-10-09 21:33:16 UTC
New Package CVS Request
=======================
Package Name: rubygem-mixlib-config
Short Description: Simple ruby config mixin
Owners: mkent
Branches: F-11 F-12
InitialCC:

Comment 7 Kevin Fenzi 2009-10-10 22:18:04 UTC
cvs done.

Comment 8 Mamoru TASAKA 2009-10-19 17:48:20 UTC
Closing.

Comment 9 Fedora Update System 2009-10-21 00:36:39 UTC
rubygem-mixlib-config-1.0.12-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Michael Stahnke 2010-09-10 20:26:26 UTC
Package Change Request
======================
Package Name: rubygem-mixlib-config
New Branches: el5 el6
Owners: stahnma

mkent is aware of request.

Comment 11 Kevin Fenzi 2010-09-11 19:43:35 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.